CHGPASSWD(8)

NAME
chgpasswd - aktualisiert Gruppenpasswörter im Stapel-Modus

ÜBERSICHT

chgpasswd [options]

BESCHREIBUNG

The chgpasswd command reads a list of group name and password pairs from standard input and uses this information to update a set of existing groups. Each line is of the format:

group_name:password

By default the supplied password must be in clear-text, and is encrypted by chgpasswd.

The default encryption algorithm can be defined for the system with the ENCRYPT_METHOD variable of /etc/login.defs, and can be overwritten with the -e, -m, or -c options.

Dieser Befehl ist für weitreichende Systeme gedacht, bei denenviele Passwörter gleichzeitig aktualisiert werden müssen.

OPTIONEN

The options which apply to the chgpasswd command are:

-c, --crypt-method
    definiert die Methode, mit der die Passwörter verschlüsselt werden.

    Die verfügbaren Methoden sind, sofern Ihre libc diese bereitstellt, DES, MD5, NONE und SHA256 oder SHA512.

-e, --encrypted
    Passwörter werden verschlüsselt geliefert.

-h, --help
    zeigt die Hilfe an und beendet das Programm.

-m, --md5
    Zur Verschlüsselung MD5 anstelle von DES verwenden, wenn die Passwörter unverschlüsselt geliefert werden.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sha-rounds
    legt die Anzahl von Runden beim Verschlüsseln von Passwörtern fest.

    Ein Wert von 0 bedeutet, dass das System den Standard von 5000 Runden zur Verschlüsselung auswählen wird.

    Der Mindestwert ist 1000, der Höchstwert 999.999.999.

    Sie können diese Option nur mit den Verschlüsselungsmethoden SHA256 und SHA512 verwenden.

    By default, the number of rounds is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

WARNUNGEN

Achten Sie darauf, dass die Zugriffsrechte der unverschlüsselten Datei beziehungsweise UMASK ausschließen, dass andere Benutzer sie lesen können.

Sie sollten darauf achten, dass Passwörter und Verschlüsselungsmethode in Einklang mit der Passwortrichtlinie des Systems stehen.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    geschützte Informationen zu den Gruppenkonten

/etc/login.defs
    konfiguriert die Shadow-Hilfsprogramme.

SIEHE AUCH

gpasswd(1), groupadd(8), login.defs(5).